
Foreman - Feature #1595

Test connection when adding/editing compute resource should display success message

05/02/2012 08:16 AM - Romain Vrignaud

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Web Interface   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When adding/editing a compute resource,

"Test connection" button doesn't display

any message if connection is successfull.

We should display a success message.

Related issues:

Related to Foreman - Bug #4133: Testing a connection for compute resources do... Closed 01/20/2014

Associated revisions

Revision e6d9c43c - 05/04/2012 12:36 PM - Greg Blomquist

fixes #1595: show success on test connection

Added css class "btn_success" to the test connection button when the connection

is successful.

This still leaves behind a problem with ec2 (and probably rhev and vmware) where

testing the connection resets the selected region (or, datacenter for rhev and

vmware).

I'll file a separate issue in redmine for that.

History

#1 - 05/02/2012 08:23 AM - Ohad Levy

- Assignee changed from Ohad Levy to Amos Benari

- Target version set to 1.0

#2 - 05/04/2012 02:25 PM - Greg Blomquist

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset e6d9c43ce659f4b1794eb570867f3b278565f023.

#3 - 01/20/2014 02:48 PM - Dominic Cleal

- Related to Bug #4133: Testing a connection for compute resources do not provide positive feedback added
